HELP CENTER

Which devices and OS versions are currently supported by KineMaster?

Follow

<Android>

KineMaster can be used with Android OS 4.1 or later, however, it’s more stable if the OS is 5.1 or later.

<iOS>

KineMaster is compatible with iOS 10.0 or later, And on iOS devices with 64-bit (A7 or later) processor.

Click here to find out which devices and OS versions does KineMaster support.

Have more questions? Submit a request